gr::mapper::demapper_msg Class Reference

<+description of block+> More...

`#include <demapper_msg.h>`

Inheritance diagram for gr::mapper::demapper_msg:
[legend]

## Public Types

typedef boost::shared_ptr< demapper_msg > | sptr

## Static Public Member Functions

static sptr | make (modtype_t modtype, std::vector< int > symbol_values)
| Return a shared_ptr to a new instance of mapper::demapper_msg.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<demapper_msg> gr::mapper::demapper_msg::sptr

## Member Function Documentation

## make()

static sptr gr::mapper::demapper_msg::make | ( | modtype_t | modtype,
|  | std::vector< int > | symbol_values )

static

Return a shared_ptr to a new instance of mapper::demapper_msg.

To avoid accidental use of raw pointers, mapper::demapper_msg's constructor is in a private implementation class. mapper::demapper_msg::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- demapper_msg.h